Package com.sun.jna.platform.win32

## Class LMShare.SHARE_INFO_502

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.LMShare.SHARE_INFO_502

Enclosing interface:
  LMShare

    @FieldOrder({"shi502_netname","shi502_type","shi502_remark","shi502_permissions","shi502_max_uses","shi502_current_uses","shi502_path","shi502_passwd","shi502_reserved","shi502_security_descriptor"})
    public static class LMShare.SHARE_INFO_502
    extends Structure

Contains information about the shared resource, including name of the resource, type and permissions, number of connections, and other pertinent information.

### Nested Class Summary

### Nested classes/interfaces inherited from class com.sun.jna.Structure

`Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

### Field Summary

Fields
`int` `shi502_current_uses` Specifies a DWORD value that indicates the number of current connections to the resource.
`int` `shi502_max_uses` Specifies a DWORD value that indicates the maximum number of concurrent connections that the shared resource can accommodate.
`java.lang.String` `shi502_netname` Pointer to a Unicode string specifying the name of a shared resource.
`java.lang.String` `shi502_passwd` Pointer to a Unicode string that specifies the share's password (when the server is running with share-level security).
`java.lang.String` `shi502_path` Pointer to a Unicode string that contains the local path for the shared resource.
`int` `shi502_permissions` Specifies a DWORD value that indicates the shared resource's permissions for servers running with share-level security.
`java.lang.String` `shi502_remark` Pointer to a Unicode string specifying an optional comment about the shared resource.
`int` `shi502_reserved` Reserved; must be zero.
`Pointer` `shi502_security_descriptor` Specifies the SECURITY_DESCRIPTOR associated with this share.
`int` `shi502_type` A combination of values that specify the type of share.

### Fields inherited from class com.sun.jna.Structure

`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

### Constructor Summary

Constructors
`SHARE_INFO_502()`
`SHARE_INFO_502​(Pointer memory)`

### Method Summary

### Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### shi502_netname

    public java.lang.String shi502_netname

Pointer to a Unicode string specifying the name of a shared resource. Calls to the NetShareSetInfo function ignore this member.

#### shi502_type

    public int shi502_type

A combination of values that specify the type of share. Calls to the NetShareSetInfo function ignore this member. One of the following values may be specified. You can isolate these values by using the STYPE_MASK value. STYPE_DISKTREE, STYPE_PRINTQ, STYPE_DEVICE, STYPE_IPC, STYPE_TEMPORARY, STYPE_SPECIAL

#### shi502_remark

    public java.lang.String shi502_remark

Pointer to a Unicode string specifying an optional comment about the shared resource.

#### shi502_permissions

    public int shi502_permissions

Specifies a DWORD value that indicates the shared resource's permissions for servers running with share-level security. This member is ignored on a server running user-level security. This member can be any of the following values. Calls to the NetShareSetInfo function ignore this member. Note that Windows does not support share-level security. For more information about controlling access to securable objects, see Access Control, Privileges, and Securable Objects. NOTE: Bit masks are defined in LmAccess.Java

#### shi502_max_uses

    public int shi502_max_uses

Specifies a DWORD value that indicates the maximum number of concurrent connections that the shared resource can accommodate. The number of connections is unlimited if the value specified in this member is -1.

#### shi502_current_uses

    public int shi502_current_uses

Specifies a DWORD value that indicates the number of current connections to the resource. Calls to the NetShareSetInfo function ignore this member.

#### shi502_path

    public java.lang.String shi502_path

Pointer to a Unicode string that contains the local path for the shared resource. For disks, this member is the path being shared. For print queues, this member is the name of the print queue being shared. Calls to the NetShareSetInfo function ignore this member.

#### shi502_passwd

    public java.lang.String shi502_passwd

Pointer to a Unicode string that specifies the share's password (when the server is running with share-level security). If the server is running with user-level security, this member is ignored. Note that Windows does not support share-level security. This member can be no longer than SHPWLEN+1 bytes (including a terminating null character). Calls to the NetShareSetInfo function ignore this member.

#### shi502_reserved

    public int shi502_reserved

Reserved; must be zero. Calls to the NetShareSetInfo function ignore this member.

#### shi502_security_descriptor

    public Pointer shi502_security_descriptor

Specifies the SECURITY_DESCRIPTOR associated with this share.

### Constructor Detail

#### SHARE_INFO_502

    public SHARE_INFO_502()

#### SHARE_INFO_502

    public SHARE_INFO_502​(Pointer memory)